<div class="flex flex-col gap-2 w-1/3 pl-2">
    <div class="font-bold text-lg">Bezeichnung&nbsp;&auml;ndern</div>
    <form method="post" data-hx-post="/fragments/names" data-hx-target="main" data-hx-push-url="/names"
          class="flex flex-col gap-2">
        <input type="hidden" class="" name="oldValue" id="oldValueHidden"/>
        <div class="flex flex-row gap-2">
            <label class="w-28 text-gray-700 dark:text-inherit dark:bg-inherit text-sm mb-2" for="oldValue">alter&nbsp;Name</label>
            <input class="shadow border rounded bg-gray-200 dark:bg-gray-700" id="oldValue" disabled type="text"/>
        </div>
        <div class="flex flex-row gap-2">
            <label class="w-28 text-gray-700 dark:text-inherit dark:bg-inherit text-sm font-bold mb-2" for="newValue">neuer&nbsp;Name</label>
            <input class="shadow border rounded dark:bg-gray-700" name="newValue" id="newValue" type="text" value=""/>
        </div>
        <div class="">
            <button class="dark:bg-gray-600 dark:text-gray-200 bg-blue-500 hover:bg-blue-700 text-white shadow appearance-none
                           rounded p-0.5 leading-tight focus:shadow-outline dark:hover:text-gray-800 dark:hover:bg-gray-400"
                    type="submit">Speichern
            </button>
            <button class="dark:bg-gray-600 dark:text-inherit bg-blue-500 hover:bg-blue-700 text-white shadow appearance-none
                           rounded p-0.5 leading-tight focus:shadow-outline dark:hover:text-gray-800 dark:hover:bg-gray-400"
                    type="button">Abbrechen
            </button>
        </div>
    </form>
    <div id="names"></div>
</div>
<div class="flex flex-row flex-wrap gap-2 p-1 content-start w-2/3">
    <button type="button"
            class="border p-1 rounded dark:hover:text-gray-800 dark:hover:bg-gray-400"
            th:each="name, i : ${names}"
            th:text="${name}"
            th:attr="data-hx-get=${'/fragments/costs/rows?name=' + name}"
            th:attrappend="autofocus=${i.index == 0}?true"
            data-hx-target="#names"
            data-hx-on-click="selectName(this)"
    ></button>
</div>

<script>
    window.selectName = function (element) {
        document.querySelector('#oldValueHidden').value = element.innerText;
        document.querySelector('#oldValue').value = element.innerText;
        document.querySelector('#newValue').focus();
    }
</script>
